import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
declare type LoaderProps = {
    children?: React.ReactNode;
    size?: number;
} & Partial<LoaderDefaultProps>;
declare type LoaderDefaultProps = {
    size: number;
};
export declare class Loader extends PureComponent<LoaderProps> {
    static propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        size: PropTypes.Requireable<number>;
    };
    static defaultProps: {
        children: any;
        size: number;
    };
    renderContent(): JSX.Element;
    render(): JSX.Element;
}
export {};
